{% extends 'base.html.twig' %}

{% block title %}Club Football{% endblock %}

{% block body %}
<div class="container">
<h1>Listes des clubs </h1>
<form>
  <div class="form-row align-items-center">
    <div class="col-auto my-1">
      <label class="mr-sm-2" for="inlineFormCustomSelect">Saison</label>
      <select class="custom-select mr-sm-2" id="saison_select">
        <option value="0000 - 0000" selected>Choisir...</option>
        {% for saison in saisons %}
        <option value="{{saison.annee_debut}} - {{saison.annee_fin}}">{{saison.annee_debut}} - {{saison.annee_fin}}  </option>
        {% endfor %}
      </select>
    </div>
  </div>
</form>

<table class="table" id="table_clubs">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Nom</th>
    </tr>
  </thead>
  <tbody id="clubs">
  {% for club in clubs %}
    <tr>
      <th scope="row"><a href="{{ path('club_show', {'id': club.id}) }}">{{ club.id }}</a></th>
      <td>{{ club.nom }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
</div>
{% endblock %}

{% block javascripts %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script>
        $('#saison_select').change(function () {
            let saisonSelector = $(this).val();
            let annee_debut = saisonSelector.slice(0, 4);
            let annee_fin = saisonSelector.slice(7, 11);
            /*console.log(saisonSelector);
              console.log(annee_debut);
              console.log(annee_fin);*/
            
            // Request the clubs of the selected saison.
            $.ajax({
                url: "{{ path('saison_list_clubs') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    annee_debut: annee_debut,
                    annee_fin:annee_fin
                },
                success: function (clubs) {
                    var clubsRows = $("#clubs");

                    // Remove current data
                    clubsRows.html('');
                    
                    // Empty value ...
                    
                    $.each(clubs, function (key, club) {
                        let href="<a href='/club/"+club.id+"'>";
                        clubsRows.append(' <tr><th scope="row">'+href+club.id+'</a></th><td>'+club.nom+'</td> </tr>');
               
                    });
                },
                
                error: function (err) {
                    alert("An error ocurred while loading data ...");
                }
            });
        });
    </script>
{% endblock %}